STRLTRIM(3pub)

NAME
strltrim - remove leading whitespace from string

SYNOPSIS
#include <publib.h>
char *strltrim(char *s);

DESCRIPTION
strltrim removes all leading whitespace characters from the beginning of a string, by moving everything starting from the first non-whitespace character to the beginning of the string. As whitespace is counted everything for which isspace(3) returns true.

RETURN VALUE
strltrim returns its argument.

EXAMPLE
To remove all indentation from all lines in a program, you might do the following:

#include <publib.h>

int main(void) {
	char line[512];

	while (fgets(line, sizeof(line), stdio) != NULL) {
		strltrim(line);
		printf("%s", line);
	}
	return 0;
}

SEE ALSO
publib(3), strrtrim(3), strtrim(3), isspace(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)